import type { Input } from "./index.marko";
declare class Button extends Marko.Component<Input> {
    handleClick(originalEvent: MouseEvent): void;
    handleKeydown(originalEvent: KeyboardEvent): void;
    handleFocus(originalEvent: FocusEvent): void;
    handleBlur(originalEvent: FocusEvent): void;
}
export default Button;
